Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.saxon.option.sql
Class SQLElementFactory

    java.lang.Object
      net.sf.saxon.option.sql.SQLElementFactory

All Implemented Interfaces:
  ExtensionElementFactory

    public class SQLElementFactory

extends Object
implements ExtensionElementFactory

Class SQLElementFactory. A "Factory" for SQL extension nodes in the stylesheet tree.

Note: despite its package name, this class is not part of Saxon-HE. Rather, it is part of an open-source plug-in to Saxon-PE and Saxon-EE. This accounts for the reference to code in the com.saxonica package.

From Saxon 9.2 the standard namespace associated with this extension is "http://saxon.sf.net/sql". However, it can be registered under a different namespace if required.

Constructor Summary
`SQLElementFactory()`

Method Summary
`Class<? extends StyleElement>` | `getExtensionClass(String localname)` Identify the class to be used for stylesheet elements with a given local name.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SQLElementFactory

    public SQLElementFactory()

Method Detail

### getExtensionClass

    public Class<? extends StyleElement> getExtensionClass(String localname)

  Identify the class to be used for stylesheet elements with a given local name. The returned class must extend net.sf.saxon.style.StyleElement

  Specified by:
    `getExtensionClass` in interface `ExtensionElementFactory`
  Returns:
    null if the local name is not a recognised element type in this namespace.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 2004-2011 Saxonica Limited. All rights reserved.